﻿Option Strict On
Partial Public Class SubPage
    Inherits PhoneApplicationPage

    Public Sub New()
        InitializeComponent()
    End Sub

    Protected Overrides Sub OnNavigatedTo(ByVal e As System.Windows.Navigation.NavigationEventArgs)
        '画面の遷移で移動したときにはまず、NavigatedTo が呼ばれます。ここで、渡された情報を取得します。
        '情報は NavigationContext の QueryString に Dictionaty として提供されます。
        'ここから送信時のキーワードをベースに渡された文字列情報を取得します。

        Dim param As IDictionary(Of String, String) = NavigationContext.QueryString
        TextBlock1.Text = "こんにちは " & param("Name") & "さん"
        MyBase.OnNavigatedTo(e)
    End Sub

    Private Sub Button1_Click(ByVal sender As Object, ByVal e As System.Windows.RoutedEventArgs) Handles Button1.Click
        NavigationService.Navigate(New Uri("/MainPage.xaml", UriKind.Relative))
    End Sub
End Class
